package com.elitesland.metadata.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <pre>作用说明</pre>
 *
 * @author mir
 * @date 11/21/2020 2:34 AM
 */
@ApiModel("元数据-字段定义保存对象")
@Data
public class MetaFieldSaveParam implements Serializable {

    private static final long serialVersionUID = -7867704317782554346L;

    @ApiModelProperty("记录ID")
    Long id;

    @ApiModelProperty(value = "字段编码")
    String fieldCode;

    @ApiModelProperty(value = "字段描述")
    String fieldDesc;

    @ApiModelProperty(value = "字段类型, [UDC]META:FLDTYPE")
    String fieldType;

    @ApiModelProperty(value = "字段长度")
    Integer fieldLength;

    @ApiModelProperty(value = "字段精度")
    Integer fieldPrecision;

    @ApiModelProperty(value = "UDC的Domain Code")
    String udcDomainCode;

    @ApiModelProperty(value = "UDC的UDC Code")
    String udcCode;

    @ApiModelProperty(value = "UDC默认描述")
    String udcDefaultDesc;

    @ApiModelProperty(value = "页面元素类型")
    String pageElement;

    @ApiModelProperty(value = "页面标签")
    String pageLabel;

    @ApiModelProperty(value = "移动端页面元素类型")
    String mobileElement;

    @ApiModelProperty(value = "移动端页面标签")
    String mobileLabel;

    @ApiModelProperty(value = "是否必填")
    Boolean isRequired;

    @ApiModelProperty(value = "最小长度")
    Integer minLength;

    @ApiModelProperty(value = "最大长度")
    Integer maxLength;
}
